Bug 1250831 - [TypeError]#not a class/module Method:[rescue in deliver] during vmware snapshot creation
[TypeError]#not a class/module Method:[rescue in deliver] during vmware sna...
Status: CLOSED ERRATA
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers (Show other bugs)
5.5.0
Unspecified Unspecified
high Severity medium
: GA
: 5.5.0
Assigned To: mkanoor
Aziza Karol
:
: 1244801 (view as bug list)
Depends On:
Blocks: 1214118
  Show dependency treegraph
 
Reported: 2015-08-06 02:19 EDT by Aziza Karol
Modified: 2015-12-08 08:26 EST (History)
6 users (show)

See Also:
Fixed In Version: 5.5.0.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-08 08:26:04 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Aziza Karol 2015-08-06 02:19:10 EDT
Description of problem:


Version-Release number of selected component (if applicable):
master.20150806014945_fd90bed 

How reproducible:
100%

Steps to Reproduce:
1.add a vmware provider and create a snapshot for a vm
2.
3.

Actual results:
error thrown in evm.log

Expected results:
No error

Additional info:
evm.log
[----] E, [2015-08-06T02:05:23.904972 #13020:a19988] ERROR -- : [TypeError]: #<ManageIQ::Providers::Vmware::InfraManager id: 1, name: "vSphere 5.5", port: nil, hostname: "10.8.58.22", ipaddress: nil, created_on: "2015-08-06 05:35:06", updated_on: "2015-08-06 06:01:32", guid: "e4d309e2-3bfc-11e5-bf71-00505696c824", zone_id: 1, type: "ManageIQ::Providers::Vmware::InfraManager", api_version: "5.5", uid_ems: "1A1BD71C-FB2C-4181-B691-F3F8694C072A", host_default_vnc_port_start: nil, host_default_vnc_port_end: nil, provider_region: nil, last_refresh_error: "uninitialized constant ManageIQ::Providers::Vmware...", last_refresh_date: "2015-08-06 06:01:32", provider_id: nil, security_protocol: nil, realm: nil, tenant_owner_id: nil> is not a class/module  Method:[rescue in deliver]
[----] E, [2015-08-06T02:05:23.905136 #13020:a19988] ERROR -- : /var/www/miq/vmdb/app/models/manageiq/providers/vmware/infra_manager.rb:427:in `invoke_vim_ws'
/var/www/miq/vmdb/app/models/manageiq/providers/vmware/infra_manager.rb:325:in `vm_create_snapshot'
/var/www/miq/vmdb/app/models/vm_or_template.rb:322:in `run_command_via_parent'
/var/www/miq/vmdb/app/models/vm_or_template/operations/snapshot.rb:32:in `raw_create_snapshot'
/var/www/miq/vmdb/app/models/vm_or_template/operations/snapshot.rb:36:in `create_snapshot'
/var/www/miq/vmdb/app/models/miq_queue.rb:345:in `block in deliver'
/opt/rubies/ruby-2.2.2/lib/ruby/2.2.0/timeout.rb:89:in `block in timeout'
/opt/rubies/ruby-2.2.2/lib/ruby/2.2.0/timeout.rb:34:in `block in catch'
/opt/rubies/ruby-2.2.2/lib/ruby/2.2.0/timeout.rb:34:in `catch'
/opt/rubies/ruby-2.2.2/lib/ruby/2.2.0/timeout.rb:34:in `catch'
/opt/rubies/ruby-2.2.2/lib/ruby/2.2.0/timeout.rb:104:in `timeout'
/var/www/miq/vmdb/app/models/miq_queue.rb:341:in `deliver'
/var/www/miq/vmdb/lib/workers/queue_worker_base.rb:107:in `deliver_queue_message'
/var/www/miq/vmdb/lib/workers/queue_worker_base.rb:135:in `deliver_message'
/var/www/miq/vmdb/lib/workers/queue_worker_base.rb:152:in `block in do_work'
/var/www/miq/vmdb/lib/workers/queue_worker_base.rb:146:in `loop'
/var/www/miq/vmdb/lib/workers/queue_worker_base.rb:146:in `do_work'
/var/www/miq/vmdb/lib/workers/worker_base.rb:328:in `block in do_work_loop'
/var/www/miq/vmdb/lib/workers/worker_base.rb:325:in `loop'
/var/www/miq/vmdb/lib/workers/worker_base.rb:325:in `do_work_loop'
/var/www/miq/vmdb/lib/workers/worker_base.rb:146:in `run'
/var/www/miq/vmdb/lib/workers/worker_base.rb:127:in `start'
/var/www/miq/vmdb/lib/workers/worker_base.rb:24:in `start_worker'
/var/www/miq/vmdb/lib/workers/bin/worker.rb:3:in `<top (required)>'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/railties-4.2.3/lib/rails/commands/runner.rb:60:in `load'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/railties-4.2.3/lib/rails/commands/runner.rb:60:in `<top (required)>'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/railties-4.2.3/lib/rails/commands/commands_tasks.rb:123:in `require'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/railties-4.2.3/lib/rails/commands/commands_tasks.rb:123:in `require_command!'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/railties-4.2.3/lib/rails/commands/commands_tasks.rb:90:in `runner'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/railties-4.2.3/lib/rails/commands/commands_tasks.rb:39:in `run_command!'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/railties-4.2.3/lib/rails/commands.rb:17:in `<top (required)>'
/var/www/miq/vmdb/bin/rails:4:in `require'
/var/www/miq/vmdb/bin/rails:4:in `<main>'
Comment 1 Aziza Karol 2015-08-06 02:22:47 EDT
Github link -https://github.com/ManageIQ/manageiq/issues/3734
Comment 4 CFME Bot 2015-08-07 11:47:52 EDT
New commit detected on manageiq/master:
https://github.com/ManageIQ/manageiq/commit/6e86187561ba7f486a06ab232e36055184be1682

commit 6e86187561ba7f486a06ab232e36055184be1682
Author:     Madhu Kanoor <mkanoor@redhat.com>
AuthorDate: Wed Aug 5 17:36:00 2015 -0400
Commit:     Madhu Kanoor <mkanoor@redhat.com>
CommitDate: Thu Aug 6 10:59:27 2015 -0400

    Snapshot failure due to TypeError
    
    Missing .class after self
    
    Fixes #3734
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1250831

 app/models/manageiq/providers/vmware/infra_manager.rb | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)
Comment 5 CFME Bot 2015-08-07 11:47:56 EDT
New commit detected on manageiq/master:
https://github.com/ManageIQ/manageiq/commit/ac26bbe91fe7374c14d47535e4c4be7ea41e40a2

commit ac26bbe91fe7374c14d47535e4c4be7ea41e40a2
Author:     Madhu Kanoor <mkanoor@redhat.com>
AuthorDate: Thu Aug 6 10:57:18 2015 -0400
Commit:     Madhu Kanoor <mkanoor@redhat.com>
CommitDate: Thu Aug 6 10:59:39 2015 -0400

    Added a spec for testing invoke_vim_ws
    
    Fixes #3734
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1250831

 spec/models/vm_vmware_spec.rb | 18 ++++++++++++++++++
 1 file changed, 18 insertions(+)
 create mode 100644 spec/models/vm_vmware_spec.rb
Comment 6 Matthew Draper 2015-08-10 05:14:06 EDT
*** Bug 1244801 has been marked as a duplicate of this bug. ***
Comment 7 Aziza Karol 2015-09-16 07:32:43 EDT
Verified in master.20150916002314_4e04cf0
Comment 8 Aziza Karol 2015-09-18 06:39:19 EDT
Verified in 5.5.0.1-alpha1.20150915151429_2230bd4.
Comment 10 errata-xmlrpc 2015-12-08 08:26:04 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:2551

Note You need to log in before you can comment on or make changes to this bug.